# class KDockWidgetHeader | The header (additional bar) for a KDockWidget s (and member of the dockwidget class set). More...
Definition | `#include <kdockwidget.h>`
Inherits | KDockWidgetAbstractHeader [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDockWidgetHeader ( KDockWidget* parent, const char* name = 0L )
- virtual ~KDockWidgetHeader ()
- virtual void setTopLevel ( bool t)
- bool dragEnabled ()
- void setDragEnabled (bool b)
- virtual void saveConfig ( KConfig* c)
- virtual void loadConfig ( KConfig* )

#### Protected Slots

- void slotStayClicked ()

#### Protected Members

- QHBoxLayout* layout
- KDockButton_Private* closeButton
- KDockButton_Private* stayButton
- KDockButton_Private* dockbackButton
- KDockWidgetHeaderDrag* drag

## Detailed Description

The header (additional bar) for a KDockWidget s (and member of the dockwidget class set). It have got the buttons located there. And it is for recording and reading the button states. More or less a minor helper class for the dockwidget class set.

KDockWidgetHeader ( KDockWidget* parent, const char* name = 0L ) | ### KDockWidgetHeader

Constructs this.

Parameters:

parent | the parent widget (usually a dockwidget)
name | the object instance name

~KDockWidgetHeader () | ### ~KDockWidgetHeader

[virtual]

Destructs this.

void setTopLevel ( bool t) | ### setTopLevel

[virtual]

Hides the close button and stay button when switching to toplevel or vice versa shows them.

Parameters:

t | toplevel or not

Reimplemented from KDockWidgetAbstractHeader.

bool dragEnabled () | ### dragEnabled

void setDragEnabled (bool b) | ### setDragEnabled

void saveConfig ( KConfig* c) | ### saveConfig

[virtual]

Saves the current button state to a KDE config container object.

Parameters:

c | the configuration safe

Reimplemented from KDockWidgetAbstractHeader.

void loadConfig ( KConfig* ) | ### loadConfig

[virtual]

Loads the current button state from a KDE config container object.

Parameters:

c | the configuration safe

Reimplemented from KDockWidgetAbstractHeader.

void slotStayClicked () | ### slotStayClicked

[protected slots slot]

Set dragging the dockwidget off when the stay button is pressed down and vice versa.

QHBoxLayout* layout | ### layout

[protected]

KDockButton_Private* closeButton | ### closeButton

[protected]

KDockButton_Private* stayButton | ### stayButton

[protected]

KDockButton_Private* dockbackButton | ### dockbackButton

[protected]

KDockWidgetHeaderDrag* drag | ### drag

[protected]

- Version: $Id: kdockwidget.h,v 1.35 2001/01/29 07:14:45 falkbr Exp $
- Author: Max Judin (documentation: Falk Brettschneider).
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.